> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Create manual



## OpenAPI

````yaml /openapi/billing.json post /v1/billing/invoices/{id}/manual/
openapi: 3.0.3
info:
  title: Yume API — Биллинг
  version: 1.0.0
  description: Подписки, счета и тарификация.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/billing/invoices/{id}/manual/:
    post:
      tags:
        - invoices
      summary: Create manual
      operationId: invoices_manual_create
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TenantInvoiceManual'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/TenantInvoiceManual'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/TenantInvoiceManual'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantInvoiceManual'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    TenantInvoiceManual:
      type: object
      properties:
        success_url:
          type: string
          writeOnly: true
        failure_url:
          type: string
          writeOnly: true
        transaction_id:
          type: string
          readOnly: true
        transaction_url:
          type: string
          readOnly: true
      required:
        - failure_url
        - success_url
        - transaction_id
        - transaction_url
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````